## python-fudge 1.0.3

=== debian/changelog ===
python-fudge (1.0.3-3) unstable; urgency=low

  * Fix "missing dependency on python3!!" by using correct variable in
    debian/control (Closes: #674405)
  * fix Vcs-Svn and Vcs-Browser URLs in debian/control

 -- Jan Dittberner <jandd@debian.org>  Thu, 24 May 2012 15:21:51 +0200

python-fudge (1.0.3-2) unstable; urgency=low

  * Fix "FTBFS if built twice in a row: aborting due to unexpected
    upstream changes" by removing fudge.egg-info in debian/rules
    override_auto_clean target (Closes: #671421)

 -- Jan Dittberner <jandd@debian.org>  Fri, 04 May 2012 21:14:07 +0200

python-fudge (1.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #643566)

 -- Jan Dittberner <jandd@debian.org>  Sun, 04 Mar 2012 21:13:38 +0100
