=== debian/control ===
Source: python-fudge
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 8~), python (>= 2.6.5~), python3 (>=
 3.1.3-2~), python-setuptools, python3-setuptools, python-nose,
 python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.3
Homepage: http://farmdev.com/projects/fudge/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-fudge/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-fudge/trunk/

Package: python-fudge
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Recommends: python-fudge-doc (=${binary:Version})
Description: Python module for using fake objects to test real ones
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.

Package: python-fudge-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-sphinxdoc
Description: Python module for using fake objects for tests, Python3 package
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the documentation of python-fudge.

Package: python3-fudge
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Recommends: python-fudge-doc (=${binary:Version})
Description: Python module for using fake objects for tests, documentation package
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the Python3 version of the package.
