=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/fudge/ fudge-(.*)\.tar\.gz
