## python-fudge 1.1.0

=== debian/changelog ===
python-fudge (1.1.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jan Dittberner ]
  * Use PyPI redirector for watch file
  * fix package description mismatch in debian/control
  * Apply patch by Juan Picca to have fixed timestamps to make the build
    reproducible (Closes: #788501)
  * Bump Standards-Version to 3.9.6 (no changes)
  * Run wrap-and-sort
  * Switch to dh-python/pybuild
  * Update copyright years
  * Build documentation in dh_auto_build step
  * New upstream version
  * Remove deletion of MacOS X files from dh_override_auto_clean,
    because upstream removed them
  * Re-Enable Python 3 tests

 -- Jan Dittberner <jandd@debian.org>  Wed, 30 Dec 2015 16:17:44 +0100
