=== debian/control ===
--- 
+++ 
@@ -3,19 +3,27 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper (>= 8~), python (>= 2.6.5~), python3 (>=
- 3.1.3-2~), python-setuptools, python3-setuptools, python-nose,
- python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all,
+               python-nose,
+               python-setuptools,
+               python-sphinx | python3-sphinx,
+               python3-all,
+               python3-nose,
+               python3-setuptools
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.4
 Homepage: http://farmdev.com/projects/fudge/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-fudge/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-fudge/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-fudge.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fudge.git
 
 Package: python-fudge
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
+Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
 Recommends: python-fudge-doc (=${binary:Version})
-Description: Python module for using fake objects to test real ones
+Description: Python 2 module for using fake objects for tests
  Fudge is a Python module for using fake objects (mocks and stubs) to
  test real ones.
  .
@@ -33,12 +41,14 @@
  as strict about expectations as you want it to be. If the type of
  arguments sent to the fake method aren’t important then you don’t
  have to declare an expectation for them.
+ .
+ This is the Python 2 version of the package.
 
 Package: python-fudge-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-sphinxdoc
-Description: Python module for using fake objects for tests, Python3 package
+Depends: libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
+Description: Python module for using fake objects for tests, documentation package
  Fudge is a Python module for using fake objects (mocks and stubs) to
  test real ones.
  .
@@ -61,9 +71,9 @@
 
 Package: python3-fudge
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
+Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
 Recommends: python-fudge-doc (=${binary:Version})
-Description: Python module for using fake objects for tests, documentation package
+Description: Python 3 module for using fake objects for tests
  Fudge is a Python module for using fake objects (mocks and stubs) to
  test real ones.
  .
@@ -82,4 +92,4 @@
  arguments sent to the fake method aren’t important then you don’t
  have to declare an expectation for them.
  .
- This is the Python3 version of the package.
+ This is the Python 3 version of the package.
