=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

export PYBUILD_NAME=fudge
#export PYBUILD_DISABLE_python3=test

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/docs/.build

override_dh_auto_build:
	sphinx-build $(SPHINXOPTS) -b html -a -c docs docs \
		$(CURDIR)/docs/.build/html
	dh_auto_build

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
