=== debian/watch ===
version=3
https://pypi.debian.net/fudge/fudge-(.+)\.tar\.gz
