## python-fudge 1.1.1

=== debian/changelog ===
python-fudge (1.1.1-3) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-raw-string-literal-for-version-concatination.patch
    setup.py-Use-raw-string-literal-for-version-concatination.patch
  * d/control: Drop bin dep on python3-pkg-resources
    (Closes: #1083641)
  * d/control: Remove Rules-Requires-Root
  * d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * d/control: Update Homepage field
  * d/copyright: Adjust upstream contact data
  * d/control: Small adjustments to pkg short descriptions
  * d/watch: Convert into version 5
  * d/control: Use dh-sequence-sphinxdoc
  * d/rules: Drop not needed SPHINXOPTS arguments
  * d/rules: Simplyfy to use just PYBUILD_DISABLE
  * d/rules: Also remove .mypy_cache while dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Jan 2026 14:38:57 +0200

python-fudge (1.1.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Drop the build depending package python3-nose
    (Closes: #1018499)
  * d/rules: Don't run upstream test for now
    Upstream hasn't updated the source for years and the nose based
    testing would be needed to get moved over to unittests.
    Unfortunately that takes some effort, OTOH there isn't much breakage to be
    expected.
  * d/{control,rules}: Switch to dh-sequence-python3
  * python-fudge-doc: Use dh_sphinxdoc sequencer
  * d/control: Update Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Oct 2022 10:12:38 +0200

python-fudge (1.1.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-fudge-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Carsten Schoenert ]
  * d/gbp.conf: Adding helper file for git-buildpackage
  * New upstream version 1.1.1
  * Add a patch queue from a patchqueue branch
    Added patches:
    Porting-existing-code-over-to-Python3-by-using-2to3.patch
    Remove-version-check-in-setup.py.patch
    (Closes: #997607)
  * d/control: Update Homepage field to new URL
  * d/watch: Mark watch file as version 4
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/control: Running wrap-and-sort -ast
  * d/control: Adding entry Rules-Requires-Root: no
    This package needs no root rights while building.
  * d/rules: Using SOURCE_DATE_EPOCH to build timestamp
  * d/copyright: Small update to the project data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Nov 2021 11:22:50 +0100

python-fudge (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937768).

 -- Ondřej Nový <onovy@debian.org>  Tue, 10 Dec 2019 15:18:46 +0100
