=== debian/control ===
Source: python-fudge
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.7.3
Homepage: https://github.com/fudge-py/fudge/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fudge.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fudge

Package: python-fudge-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python module for using fake objects for tests (Documentation)
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the documentation of python-fudge.

Package: python3-fudge
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python-fudge-doc (=${binary:Version}),
Description: Python module for using fake objects for tests
 Fudge is a Python module for using fake objects (mocks and stubs) to
 test real ones.
 .
 In readable Python code, you declare what methods are available on
 your fake and how they should be called. Then you inject that into
 your application and start testing. This declarative approach means
 you don’t have to record and playback actions and you don’t have to
 inspect your fakes after running code. If the fake object was used
 incorrectly then you’ll see an informative exception message with a
 traceback that points to the culprit.
 .
 Fudge was inspired by Mocha which is a simpler version of jMock. But
 unlike Mocha, Fudge does not automatically hijack real objects; you
 explicitly patch them in your test. And unlike jMock, Fudge is only
 as strict about expectations as you want it to be. If the type of
 arguments sent to the fake method aren’t important then you don’t
 have to declare an expectation for them.
 .
 This is the Python 3 version of the package.
