=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

export PYBUILD_NAME=fudge
export PYBUILD_DISABLE=test

SPHINXOPTS := -N -E

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.mypy_cache
	rm -rf $(CURDIR)/docs/.build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-fudge-doc/usr/share/doc/python-fudge-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt
