=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/fudge/
Matching-Pattern: fudge-(.+)\.tar\.gz
